Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class ApplicationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.management.ApplicationException

public class ApplicationException
extends java.lang.Exception

See Also:
  `ApplicationContainer`, Serialized Form

Method Summary
`java.lang.String` | `getApplicationMessage()` This is for the purpose of remote clients who get this exception.
`java.util.Hashtable` | `getModuleErrors()`
`java.lang.Exception` | `getTargetException(java.lang.String moduleName)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getApplicationMessage

    public java.lang.String getApplicationMessage()

  This is for the purpose of remote clients who get this exception. It contains the text from getMessage() of the server exception, without the stacktrace which RMI adds when Server.InstrumentStackTraceEnabled is true. (When it is false, getMessage() on client side returns nothing.) This method can be used to get just the getMessage() text, in any case.

### getModuleErrors

    public java.util.Hashtable getModuleErrors()

### getTargetException

    public java.lang.Exception getTargetException(java.lang.String moduleName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference